Bug 1400829 (CVE-2016-9776)

Summary: CVE-2016-9776 Qemu: net: mcf_fec: infinite loop while receiving data in mcf_fec_receive
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ailan, amit.shah, aortega, apevec, areis, ayoung, berrange, cfergeau, chrisw, crobinso, cvsbot-xmlrpc, drjones, dwmw2, imammedo, itamar, jen, jschluet, kbasil, knoel, lhh, lpeer, markmc, m.a.young, mkenneth, mrezanin, mst, pbonzini, rbalakri, rbryant, rjones, rkrcmar, sclewis, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-02-07 07:41:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1400830    
Bug Blocks: 1326713    

Description Prasad J Pandit 2016-12-02 07:58:31 UTC
Quick Emulator(Qemu) built with the ColdFire Fast Ethernet Controller emulator
support is vulnerable to an infinite loop issue. It could occur while receiving
packets in 'mcf_fec_receive'.

A privileged user/process inside guest could use this issue to crash the Qemu
process on the host leading to DoS.

Upstream patch
--------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-11/msg05324.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/12/02/3

Comment 1 Prasad J Pandit 2016-12-02 07:59:06 UTC
Acknowledgments:

Name: Wjjzhang (tencent.com)

Comment 2 Prasad J Pandit 2016-12-02 08:00:14 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1400830]

Comment 3 Cole Robinson 2017-01-16 18:38:10 UTC
commit 77d54985b85a0cb760330ec2bd92505e0a2a97a9
Author: Prasad J Pandit <pjp@fedoraproject.org>
Date:   Tue Nov 29 00:38:39 2016 +0530

    net: mcf: check receive buffer size register value

Comment 4 Prasad J Pandit 2017-02-07 07:38:57 UTC
*** Bug 1399531 has been marked as a duplicate of this bug. ***